Subject: Re: [PATCH 00/10] Spring cleanup of "contrib/"

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 7 May 2025 08:27:59 +0200

On Tue, May 06, 2025 at 11:55:20PM -0400, Eric Sunshine wrote:
> On Tue, May 6, 2025 at 9:32 PM Todd Zullinger <[email-masked]> wrote:
> > Eric Sunshine wrote:
> > > Although we periodically hear that someone uses it, git-contacts
> > > probably falls into the "tool has a clear alternative" category. In
> > > this case, git-related[*] is a separately-maintained more functional
> > > drop-in replacement which people could be using instead of
> > > git-contacts.
> > >
> > > [*]: https://github.com/felipec/git-related/blob/master/git-related
> >
> > It may be worth noting that git-contacts is suggested in
> > both MyFirstContribution.adoc and SubmittingPatches.
> 
> I think I knew but forgot about those mentions. Certainly useful
> information if Patrick decides to pursue retirement of git-contacts.

I thought about moving git-contacts out of "contrib/" into "tools/"
exactly because of that. Tooling related to working with Git itself
shouldn't live in "contrib/" in the first place, but really should have
its own home in the Git project.

> > It probably helps that since 824503ce88 (SubmittingPatches:
> > clarify 'git-contacts' location, 2024-04-18) there has been
> > a note stating this isn't "part of the core `git` binary and
> > must be called directly." That is relatively recent, though.
> 
> Out of curiosity, I Googled git-contacts but didn't find any
> meaningful hits. Pretty much the only pages found were renderings of
> Git's documentation (including SubmittingPatches and the man page for
> git-contacts itself), as well as the few patches to the Git mailing
> list which introduced or touched git-contacts over the years. I did
> not find any general discussion or recommendations to use
> git-contacts, so perhaps it indeed is not very much used.
> 
> > I added git-contacts to the Fedora git packaging shortly
> > after 92a5dbbc22 (SubmittingPatches: mention the git
> > contacts command, 2018-04-11), presuming some readers would
> > want to use it.  (I never want to penalize users who are
> > diligent enough to read SubmittingPatches. :)
> >
> > All that said, I don't have any strong opinion on whether it
> > is kept or removed, let alone when that might happen.  I
> > don't know that I've ever used it, other than for testing
> > that it worked while packaging it.
> 
> I've never used git-contacts either, despite the fact that I'm the one
> who ported Felipe's git-related from Ruby[1] to Perl[2] for inclusion
> in Git's "contrib" since the Ruby version had been rejected due to
> being written in a language not already employed elsewhere in the
> project. The Perl rewrite also included a number of useful
> enhancements which Felipe later incorporated into git-related after he
> published it as a standalone project. He has since extended it to
> include even more features, so it's functionally a superset of
> git-contacts.
> 
> By the way, Felipe also sent a patch series[3] eleven years ago with
> the same intention of Patrick's series under discussion. Felipe's
> series was never picked up but did undertake the retirement of
> git-contacts.

Thanks for the pointers.

Patrick